Bug 4417 - Trust Relationship Problem
Trust Relationship Problem
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Domain Control
3.0.9
Other Linux
: P3 normal
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-28 13:33 UTC by MOHAN
Modified: 2009-10-14 18:36 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description MOHAN 2007-02-28 13:33:29 UTC
I am using Samba samba-3.0.9-1.3E.10, OS Centos 4.4

We have got the problem. when I am issuing a "net rpc trustdom list" command  some time it is showing ok and sometime it is showing error message. and some time not. It is  creating a problem to authenticate other Samba workstartion to PDC Server.For This problme I am not able to give ACL Permission on Samba Workstartion.

1)         [ root@pdcdel samba]# net rpc trustdom list
            Password:
           Trusted domains list:

CSWN                S-1-5-21-4226246216-841769125
-2743635684
CSWG                S-1-5-21-2182516265-3119084770-3204029048

Trusting domains list:

[2007/02/27 07:47:43, 0] rpc_client/cli_pipe.c:rpc_api_pipe(435)
  cli_pipe: return critical error. Error was Call timed out: server did not
respond after 10000 milliseconds
[2007/02/27 07:47:43, 0] utils/net_rpc.c:rpc_trustdom_list(4688)
  Couldn't enumerate accounts. Error was: NT_STATUS_UNSUCCESSFUL

2)               [ root@pdcdel samba]# net rpc trustdom list
                 Password:
                 Could not connect to server PDCDEL
                 The username or password was not correct.
[2007/02/27 07:49:03, 0] utils/net_rpc.c:rpc_trustdom_list(4565)
  Couldn't connect to domain controller


3)                  root@pdcdel samba]# net rpc trustdom list
                   Password:
                   Trusted domains list:

CSWN                S-1-5-21-4226246216-841769125-2743635684
CSWG                S-1-5-21-2182516265-3119084770-3204029048

Trusting domains list:

CSWN                S-1-5-21-4226246216-841769125-2743635684
CSWG                S-1-5-21-2182516265-3119084770-3204029048
[ root@pdcdel samba]# net rpc trustdom list
Password:
Trusted domains list:

CSWN                S-1-5-21-4226246216-841769125-2743635684
CSWG                S-1-5-21-2182516265-3119084770-3204029048

Trusting domains list:

CSWN                S-1-5-21-4226246216-841769125-2743635684
CSWG                S-1-5-21-2182516265-3119084770-3204029048


This is the log status (Output of /var/log/messages)
Feb 27 14:47:30 pdcdel samba(pam_unix)[12925]: session closed for user kth
Feb 27 14:47:30 pdcdel smbd[12913]: [2007/02/27 14:47:30, 0] auth/auth_util.c:make_server_info_info3(1134)
Feb 27 14:47:30 pdcdel smbd[12913]:   make_server_info_info3: pdb_init_sam failed!
Feb 27 14:47:30 pdcdel smbd[12913]: [2007/02/27 14:47:30, 0] auth/auth_util.c:make_server_info_info3(1134)
Feb 27 14:47:30 pdcdel smbd[12913]:   make_server_info_info3: pdb_init_sam failed!
Feb 27 14:47:30 pdcdel smbd[12913]: [2007/02/27 14:47:30, 0] auth/auth_util.c:make_server_info_info3(1134)
Feb 27 14:47:30 pdcdel smbd[12913]:   make_server_info_info3: pdb_init_sam failed!
Feb 27 14:47:30 pdcdel smbd[12913]: [2007/02/27 14:47:30, 0] auth/auth_util.c:make_server_info_info3(1134)
Feb 27 14:47:30 pdcdel smbd[12913]:   make_server_info_info3: pdb_init_sam failed!
Feb 27 14:47:30 pdcdel smbd[12913]: [2007/02/27 14:47:30, 0] auth/auth_util.c:make_server_info_info3(1134)

Please Help.


--
Comment 1 Björn Jacke 2009-10-14 18:36:54 UTC
Thanks for reporting the problems. The timeout can be adjusted via --request-timeout in Samba 3.4. Chances are good that the other problems you have are also solved in 3.4.3 or earlier releases.

If you still encounter problems please reopen this or even better open individual bug reports for each problem you see.